package com.ozs.entity.vo;

import com.ozs.common.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * <p>
 * 相机台账管理表
 * </p>
 *
 * @author ozs
 * @since 2023-02-17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class BaseCameraManagementVos implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 相机编码
     */
    @Excel(name = "相机编码")
    private String cameraCode;

    /**
     * 通道编号
     */
    @Excel(name = "通道编号")
    private String channel;

    /**
     * 行别(1上行2下行）
     */
    @Excel(name = "行别", readConverterExp = "1=上行,2=下行")
    private Integer lineDir;

    /**
     * 监视相机经度
     */
    @Excel(name = "监视相机经度")
    private String installLongitude;

    /**
     * 监视相机纬度
     */
    @Excel(name = "监视相机纬度")
    private String installLatitude;

    /**
     * 所属工务段名称
     */
//    @Excel(name = "所属工务段名称")
//    private String deptName;

    /**
     * 监控相机安装里程位置
     */
    @Excel(name = "监控相机安装里程位置")
    private String installMiles;

    /**
     * 监控范围开始里程位置
     */
    @Excel(name = "监控范围开始里程位置")
    private String beginMiles;

    /**
     * 监控范围结束里程位置
     */
    @Excel(name = "监控范围结束里程位置")
    private String endMiles;

    /**
     * 线路名称
     */
    @Excel(name = "线路名称")
    private String railwayName;

    @Excel(name = "测点名称")
    private  String  stationName;

    @Excel(name = "监视方向")
    private String monitoringDirectionName;

    /**
     * 相机是否启用 1启用，2弃用
     */
    @Excel(name = "相机状态")
    private String enableOrNotName;


    /**
     * 分组
     */
    @Excel(name = "分组")
    private String grou;
    /**
     * 排序
     */
    @Excel(name = "排序")
    private String sort;
}